Get units held
POST
/portfolio/assets/{asset}/units-heldReturns the total number of units held in the asset at a given date for the specified investors. If the caller is an investor, their own holdings are returned regardless of the investor_ids parameter.
Path parameters
The asset ID
Request body
application/json, required · PortfolioUnitsHeldRequest
{
"investor_ids": [
1
],
"held_at": "2026-06-12T10:00:00+00:00"
}Responses
200
"string"404
Not found
422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/units-held\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"investor_ids": [
1
],
"held_at": "2026-06-12T10:00:00+00:00"
}'